<?php
include_once(getabspath("include/movimiento_caja_settings.php"));

function DisplayMasterTableInfo_movimiento_caja($params)
{
	$detailtable=$params["detailtable"];
	$keys=$params["keys"];
	global $conn,$strTableName;
	$xt = new Xtempl();
	
	$oldTableName=$strTableName;
	$strTableName="movimiento_caja";

//$strSQL = "SELECT  idmovimiento,  idusuario,  estado,  observacion  FROM movimiento_caja  WHERE (estado =\"ABIERTO\")  ";

	$cipherer = new RunnerCipherer($strTableName);
	$settings = new ProjectSettings($strTableName, PAGE_PRINT);
	
	$masterQuery = $settings->getSQLQuery();
	$viewControls = new ViewControlsContainer($settings, PAGE_PRINT);

$where="";

global $pageObject, $page_styles, $page_layouts, $page_layout_names, $container_styles;
$layout = new TLayout("masterprint","BoldAqua","MobileAqua");
$layout->blocks["bare"] = array();
$layout->containers["0"] = array();

$layout->containers["0"][] = array("name"=>"masterprintheader","block"=>"","substyle"=>1);


$layout->skins["0"] = "empty";
$layout->blocks["bare"][] = "0";
$layout->containers["mastergrid"] = array();

$layout->containers["mastergrid"][] = array("name"=>"masterprintfields","block"=>"","substyle"=>1);


$layout->skins["mastergrid"] = "grid";
$layout->blocks["bare"][] = "mastergrid";$page_layouts["movimiento_caja_masterprint"] = $layout;


$showKeys = "";
if($detailtable=="det_movimiento")
{
		$where.= GetFullFieldName("idmovimiento", "", false)."=".$cipherer->MakeDBValue("idmovimiento",$keys[1-1], "", "", true);
	$showKeys .= " "."Nº Movimiento".": ".$keys[1-1];
	$xt->assign('showKeys',$showKeys);
	
}
if(!$where)
{
	$strTableName=$oldTableName;
	return;
}
	$str = SecuritySQL("Export");
	if(strlen($str))
		$where.=" and ".$str;
	
	$strWhere = whereAdd($masterQuery->m_where->toSql($masterQuery),$where);
	if(strlen($strWhere))
		$strWhere=" where ".$strWhere." ";
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();

//	$strSQL=AddWhere($strSQL,$where);

	LogInfo($strSQL);
	$rs=db_query($strSQL,$conn);
	$data = $cipherer->DecryptFetchedArray($rs);
	if(!$data)
	{
		$strTableName=$oldTableName;
		return;
	}
	$keylink="";
	$keylink.="&key1=".htmlspecialchars(rawurlencode(@$data["idmovimiento"]));
	

//	idmovimiento - 
			$xt->assign("idmovimiento_mastervalue", $viewControls->showDBValue("idmovimiento", $data, $keylink));

//	idusuario - 
			$xt->assign("idusuario_mastervalue", $viewControls->showDBValue("idusuario", $data, $keylink));

//	observacion - 
			$xt->assign("observacion_mastervalue", $viewControls->showDBValue("observacion", $data, $keylink));
	$xt->display("movimiento_caja_masterprint.htm");
	$strTableName=$oldTableName;

}

?>